// Bastard File System
// (C) 2007 Rene Schickbauer
//
// The Bastard File System (BFS) is a small virtual FS for Applications
// that would normally use Tarballs and/or Zipfiles but have to dynamically
// change its contents
//
// WARNING: This is still ALPHA QUALITY CODE! Use with care!
//
//
#ifndef BFS_DIR
#define BFS_DIR

#include "bfs.h"

bool parseDir(sBFS* handle, char *path, DIRTREE* tree);

bool traverseDir(sBFS* handle, DIRTREE* tree);
bool addDirNode(sBFS* handle, char type, char* path, int* createdBlock);
bool rmDirNode(sBFS* handle, char* path);
bool dumpDirListTree(sBFS* handle, char* path, char* spacer);
bool listDir(sBFS* handle, char* path, DIRLIST* list);
bool listDir_fromBlock(sBFS* handle, int startblock, DIRLIST* list);

#endif //BFS_DIR
